div.gallery {
  cursor: pointer;
}
  
div.gallery:hover {
  transition: box-shadow 0.3s cubic-bezier(0.645, 0.045, 0.355, 1);
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}
  
div.gallery img {
  width: 100%;
  height: auto;
}

* {
  box-sizing: border-box;
}

.responsive {
  padding: 10px;
  float: left;
  width: 24.99999%;
}

.container {
  padding: 10px;
}

@media only screen and (max-width: 700px) {
  .responsive {
    width: 49.99999%;
    margin: 6px 0;
  }
}

@media only screen and (max-width: 500px) {
  .responsive {
    width: 100%;
  }
}

.clearfix:after {
  content: "";
  display: table;
  clear: both;
}